jsgf_rule_s Struct Reference

## Data Fields

int | refcnt
| Reference count. More...
char * | name
| Rule name (NULL for an alternation/grouping)
int | public
| Is this rule marked 'public'?
jsgf_rhs_t * | rhs
| Expansion.
int | entry
| Entry state for current instance of this rule. More...
int | exit
| Exit state for current instance of this rule. More...

## Detailed Description

Definition at line 86 of file jsgf_internal.h.

## Field Documentation

int jsgf_rule_s::entry

Entry state for current instance of this rule.

Definition at line 92 of file jsgf_internal.h.

int jsgf_rule_s::exit

Exit state for current instance of this rule.

Definition at line 93 of file jsgf_internal.h.

int jsgf_rule_s::refcnt

Reference count.

Definition at line 87 of file jsgf_internal.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/jsgf_internal.h